## ros-kinetic-robotis-math 0.2.6

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(robotis_math)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
)

find_package(Eigen3 REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp
  DEPENDS EIGEN3
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
   src/robotis_math_base.cpp
   src/robotis_trajectory_calculator.cpp
   src/minimum_jerk_trajectory.cpp
   src/minimum_jerk_trajectory_with_via_point.cpp
   src/fifth_order_polynomial_trajectory.cpp
   src/simple_trapezoidal_velocity_profile.cpp
   src/robotis_linear_algebra.cpp
   src/bezier_curve.cpp
   src/step_data_define.cpp
   src/preview_control.cpp
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Eigen3_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-robotis-math (0.2.6-0xenial) xenial; urgency=high

  * modified the eigen path to avoid path error on Debian OS
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 20 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-math (0.2.5-0xenial) xenial; urgency=high

  * added preview_control
  * added minimum jerk with viapoint
  * changed package.xml format to v2
  * changed LICENSE to Apache 2.0
  * Contributors: Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 20 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-math (0.2.4-0xenial) xenial; urgency=high

  * refactoring to release
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 20 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-math (0.2.3-0xenial) xenial; urgency=high

  * changed matrices to fixed size matrix
  * changed dynamic size mat to fixed size mat for performence
  * Contributors: Jay Song

 -- pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-math (0.2.2-0xenial) xenial; urgency=high

  * included eigen3 option
  * Contributors: SCH

 -- pyo <pyo@robotis.com>  Wed, 28 Sep 2016 15:00:00 -0000

ros-kinetic-robotis-math (0.2.1-0xenial) xenial; urgency=high

  * bug fix and changed some variable name
  * Modify StepData
  * Contributors: Jay Song

 -- pyo <pyo@robotis.com>  Thu, 01 Sep 2016 15:00:00 -0000

ros-kinetic-robotis-math (0.2.0-0xenial) xenial; urgency=high

  * merged pull request #4 <https://github.com/ROBOTIS-GIT/ROBOTIS-Math/issues/4> from thor-mang/pr_step_data_to_string
  * added string serializer for step data for more convenient debugging options
  * minimum jerk with via-points(position) added
  * added string serializer for step data for more convenient debugging options
  * eigen test
  * added trapezoidal profile
  * Contributors: Alexander Stumpf, Jay Song, SCH

 -- pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-math (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified the package information files
  * Add robotis_math, robotis_math is moved from ROBOTIS-Framework repository.
  * Contributors: Jay Song, Pyo

 -- pyo <pyo@robotis.com>  Tue, 16 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robotis-math
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/robotis_math
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-roscpp
Description: This package is a set of basic math fuctions for ROBOTIS's robots.
 We provide some linear algebra and trajectory generation funntions and classes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robotis-math//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
